Skip site navigation (1)Skip section navigation (2)
Date:      Sun, 1 May 2011 17:43:11 -0500
From:      Richard Ehrlich <richardehr08@gmail.com>
To:        freebsd-questions@freebsd.org
Subject:   py-django12 failed install
Message-ID:  <BANLkTinv5p7vsrhcB2SxiFjo5j_4mpBxSA@mail.gmail.com>

Next in thread | Raw E-Mail | Index | Archive | Help
When I attempt to install py-django12 on freeBSD 8.2 with python 2.6.5
already installed, I get the following:

richarde@test3- /usr/ports/www/py-django12 # make install clean
"/usr/ports/Mk/bsd.python.mk", line 304: warning: String comparison operator
should be either == or !=
"/usr/ports/Mk/bsd.python.mk", line 304: Malformed conditional
(!empty(_PYTHON_VERSION_MINIMUM) &&
(  ${_PYTHON_VERSION} < ${_PYTHON_VERSION_MINIMUM}))
"/usr/ports/Mk/bsd.python.mk", line 307: warning: String comparison operator
should be either == or !=
"/usr/ports/Mk/bsd.python.mk", line 307: Malformed conditional
(!empty(_PYTHON_VERSION_MAXIMUM) &&
(  ${_PYTHON_VERSION} > ${_PYTHON_VERSION_MAXIMUM}))
"/usr/ports/Mk/bsd.port.mk", line 6452: if-less endif
make: fatal errors encountered -- cannot continue


bsd.python.mk lines 303/304 currently read: .if
!empty(_PYTHON_VERSION_MINIMUM) && ( \

            ${_PYTHON_VERSION} < ${_PYTHON_VERSION_MINIMUM})

bsd.python.mk lines 306/307 currently read: .elif
!empty(_PYTHON_VERSION_MAXIMUM) && ( \

${_PYTHON_VERSION} > ${_PYTHON_VERSION_MAXIMUM})

The error message warnings don't seem logical. Any suggestions?

Thanks,

-- RichardE



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?BANLkTinv5p7vsrhcB2SxiFjo5j_4mpBxSA>